gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Methods for controlling drag and drop handling.

Gtk# has a rich set of methods for doing inter-process communication via the drag-and-drop metaphor. Gtk# can do drag-and-drop (DND) via multiple protocols. The currently supported protocols are the Xdnd and Motif protocols. As well as the methods listed here, applications may need to use some facilities provided for . Also, the Drag and Drop API makes use of events in the class.

System.Object
- Method
  System.Void `` Clears information about a drop destinantion set with . A .

  The will no longer receive notification of drags.

- Method
  Gtk.Widget `` Determines the source for a drag. A (destination side) drag context. If the drag is occurring within a single application, a pointer to the source . Otherwise, .
- Method
  System.Void `` `` `` `` Sets this as a proxy for drops to another window. A . The window to which to foward drag events. The drag protocol which the accepts (You can use to determine this). If , send the same coordinates to the destination, because it is an embedded subwindow.
- Method
  System.Void `` `` `` `` Informs the drag sourcre that the drop is finished, and that the data of the drag will no longer be repaired. The drag context. A flag indicating whether the drop was successful. A flag indicating whether the source should delete the original data (this should be for a move). The timestamp from the event.
- Method
  System.Void `` `` Sets the target types that this can accept from drag and drop. A that's a drag destination. List of droppable targets, or for none.

  The must first be made into a drag destination with .

- Method
  Gdk.Atom `` `` `` Looks for a match between ->targets and the , returning the first matching target, otherwise returning GDK_NONE. Drag destination . Drag context. List of droppable targets, or to use . First target that the source offers and the dest can accept. or GDK_NONE.

  should usually be the return value from but some widgets may have different valid targets for different parts of the ; in that case, they will have to implement a drag_motion handler that passes the correct target list to this method.

- Method
  System.Boolean `` `` `` `` `` Checks to see if a mouse drag starting at (, ) and ending at (, ) has passed the GTK# drag threshold, and this should trigger the beginning of a drag-and-drog operation. A . X coordinate of a start of drag. Y coordinate of a start of drag. Current X coordinate. Current Y coordinate. if the drag threshold has been passed.
- Method
  System.Void `` `` Sets the icon that will be used for drags from a particular source to a stock icon. A . The ID of the stock icon to use.
- Method
  System.Void `` Removes a highlight set by from a . A .
- Method
  System.Void `` Draws a highlight around a . A to highlight.

  This will attach handlers to and , so the highlight will continue to be displayed until is called.

- Method
  System.Void `` `` Sets the icon that will be used for drags from a particular from a . A . The for the drag icon.

  GTK# retains a reference for and will release it when it is no longer needed.

- Method
  Gdk.DragContext `` `` `` `` `` Initates a drag on the source side. The source . The targets (data formats) in which the source can provide the data. A bitmask of the allowed drag actions for this drag. The button the user clicked to start the drag. The event that triggered the start of the drag. The context fot this drag.

  The method only needs to be used when the application is starting drags itself, and is not needed when is used.

- Method
  System.Void `` `` `` `` Sets the icon for a given drag from a stock ID. The context of the drag (this must be called with a context for the source side of a drag). The ID of the stock icon to use for the drag. The X offset within the icon of the hotspot. The Y offset within the icon of the hotspot.
- Method
  System.Void `` `` `` `` Obtains the data associated with a drag. The that will receive the event. The drag context. The target (form of the data) to retrieve. A timestamp for retrieving the data. This will generally be the time received in a or event.

  When the data is received or the retrieval fails, GTK# will emit a event. Failure of the retrieval is indicated by the length field of the signal parameter being negative. However, when is called implicitely because the was set, then the will not receive notification of failed drops.

- Method
  System.Void `` `` `` `` `` `` Sets as the icon for a given drag. The context for a drag (this must be called with a context for the source side of a drag). The colormap of the icon. The image data for the icon. The transparency mask for the icon. The X offset with of the hotspot. The Y offset with of the hotspot.

  GTK# retains references for the arguments, and will release them when they are no longer needed. In general, will be more convenient to use.

- Method
  System.Void `` `` `` `` Sets as the icon for a given drag. The context for a drag (this must be called with a context for the source side of a drag). The to use as the drag icon. The X offset within of the hotspot. The Y offset within of the hotspot.
- Method
  Gtk.TargetList `` Returns the list of targets this can accept from drag-and-drop. A . The , or if none.
- Method
  System.Void `` Undoes the effects of . A .
- Method
  System.Void `` `` `` `` Sets the icon that will be used for drags from a particular from a pixmap/mask. A . The colormap of the icon. The image data for the icon. The transparency mask for an image.

  GTK# retains references for the arguments, and will release them when they are no longer needed. Use instead.

- Method
  System.Void `` `` `` `` Changes the icon for a to a given . The context for a drag (this must be called with a context for the source side of a drag. A toplevel window to use as an icon. The X offset within of the hotspot. The Y offset within of the hotspot.

  GTK# will not destroy the icon, so if you don't want it to persist, you should connect to the event and destroy it yourself.

- Constructor
  A constructor.
  Creates a new instance of .
- Property
  Gdk.DragContext Sets the icon for a particular drag to the default icon. The context for a drag (this must be called with a context for the source side of a drag). if the icon has been made the default.
- Method
  System.Void `` `` `` `` Register a drop site and possibly add default behaviors. a a , which types of default drag behavior to use a , table of targets that can be accepted a , default behaviors
- Method
  System.Void `` `` `` `` Sets up a so that Gtk# will start a drag operation when the user clicks and drags on the . a The bitmask of buttons that can start the drag. The table of targets that the drag will support. the bitmask of possible actions for a drag from this . The must have a window.
- Method
  Gtk.TargetList `` To be added a a To be added
- Method
  System.Void `` `` To be added a a To be added
- Method
  System.Void `` `` `` `` `` To be added a a a a a To be added